Subject: bug#69467: 29.2; user-init-file set to .../lisp/progmodes/compile.el.gz

From: Phil Sainty <[email-masked]>
Date: Fri, 01 Mar 2024 01:41:25 +1300

I should include the comments Jonas made previously in
the github discussion.

One was noting a successful workaround:

> I was able to "fix" it by adding (require 'compile) in
> early-init.el.

The other note was:

> I have a hunch that it might have something to do with
> the value of load-file-name somehow ending up being wrong
> at some point, because auto-compile changes it in a way
> / at a time, not expected by Emacs.

For clarity, auto-compile does not *explicitly* change
`load-file-name' (or reference it at all).

-Phil